nnfft_plan Struct Reference
NNFFT - Nonequispaced in time and frequency FFT

data structure for an NNFFT (nonequispaced in time and frequency fast Fourier transform) plan with double precision More...

`#include <nfft3.h>`

Collaboration diagram for nnfft_plan:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftw_complex * | f_hat
| Fourier coefficients.
fftw_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
int | d
| dimension, rank
double * | sigma
| oversampling-factor
double * | a
| 1 + 2*m/N1
int * | N
| cut-off-frequencies
int * | N1
| sigma*N
int * | aN1
| sigma*a*N
int | m
| cut-off parameter in time-domain
double * | b
| shape parameters
int | K
| number of precomp.
int | aN1_total
| aN1_total=aN1[0]* ... *aN1[d-1]
nfft_plan * | direct_plan
| plan for the nfft
unsigned | nnfft_flags
| flags for precomputation, malloc
int * | n
| n=N1, for the window function
double * | x
| nodes (in time/spatial domain)
double * | v
| nodes (in fourier domain)
double * | c_phi_inv
| precomputed data, matrix D
double * | psi
| precomputed data, matrix B
int | size_psi
| only for thin B
int * | psi_index_g
| only for thin B
int * | psi_index_f
| only for thin B
fftw_complex * | F
double * | spline_coeffs
| input for de Boor algorithm, if B_SPLINE or SINC_2m is defined

## Detailed Description

data structure for an NNFFT (nonequispaced in time and frequency fast Fourier transform) plan with double precision

NNFFT transform plan

Definition at line 419 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT nnfft_plan::N_total

Total number of Fourier coefficients.

Definition at line 419 of file nfft3.h.

Referenced by nnfft_init(), nnfft_init_guru(), nnfft_precompute_full_psi(), nnfft_precompute_psi(), and reconstruct().

## M_total

NFFT_INT nnfft_plan::M_total

Total number of samples.

Definition at line 419 of file nfft3.h.

Referenced by nnfft_adjoint(), nnfft_init(), nnfft_init_guru(), nnfft_precompute_full_psi(), nnfft_precompute_phi_hut(), nnfft_precompute_psi(), nnfft_trafo(), and reconstruct().

## f_hat

fftw_complex* nnfft_plan::f_hat

Fourier coefficients.

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize().

## f

fftw_complex* nnfft_plan::f

Samples.

Definition at line 419 of file nfft3.h.

Referenced by nnfft_adjoint(), nnfft_finalize(), and nnfft_trafo().

## mv_trafo

void(* nnfft_plan::mv_trafo) (void *)

Transform.

Definition at line 419 of file nfft3.h.

## mv_adjoint

void(* nnfft_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 419 of file nfft3.h.

## d

int nnfft_plan::d

dimension, rank

Definition at line 419 of file nfft3.h.

Referenced by nnfft_adjoint(), nnfft_init(), nnfft_init_guru(), nnfft_precompute_full_psi(), nnfft_precompute_lin_psi(), nnfft_precompute_phi_hut(), nnfft_precompute_psi(), and nnfft_trafo().

## sigma

double* nnfft_plan::sigma

oversampling-factor

Definition at line 419 of file nfft3.h.

Referenced by nnfft_adjoint(), nnfft_precompute_full_psi(), nnfft_precompute_psi(), and nnfft_trafo().

## a

double* nnfft_plan::a

1 + 2*m/N1

Definition at line 419 of file nfft3.h.

## N

int* nnfft_plan::N

cut-off-frequencies

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), nnfft_init(), nnfft_init_guru(), and nnfft_precompute_phi_hut().

## N1

int* nnfft_plan::N1

sigma*N

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), nnfft_init(), nnfft_init_guru(), nnfft_precompute_lin_psi(), and nnfft_precompute_psi().

## aN1

int* nnfft_plan::aN1

sigma*a*N

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize().

## m

int nnfft_plan::m

cut-off parameter in time-domain

Definition at line 419 of file nfft3.h.

Referenced by nnfft_init(), nnfft_init_guru(), nnfft_precompute_full_psi(), nnfft_precompute_lin_psi(), and nnfft_precompute_psi().

## b

double* nnfft_plan::b

shape parameters

Definition at line 419 of file nfft3.h.

## K

int nnfft_plan::K

number of precomp.

uniform psi

Definition at line 419 of file nfft3.h.

Referenced by nnfft_precompute_lin_psi().

## aN1_total

int nnfft_plan::aN1_total

aN1_total=aN1[0]* ... *aN1[d-1]

Definition at line 419 of file nfft3.h.

## direct_plan

nfft_plan* nnfft_plan::direct_plan

plan for the nfft

Definition at line 419 of file nfft3.h.

Referenced by nnfft_adjoint(), nnfft_finalize(), nnfft_precompute_full_psi(), nnfft_precompute_lin_psi(), nnfft_precompute_psi(), and nnfft_trafo().

## nnfft_flags

unsigned nnfft_plan::nnfft_flags

flags for precomputation, malloc

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), nnfft_init(), nnfft_init_guru(), and reconstruct().

## n

int* nnfft_plan::n

n=N1, for the window function

Definition at line 419 of file nfft3.h.

Referenced by nnfft_precompute_lin_psi(), nnfft_precompute_phi_hut(), and nnfft_precompute_psi().

## x

double* nnfft_plan::x

nodes (in time/spatial domain)

Definition at line 419 of file nfft3.h.

Referenced by nnfft_adjoint(), nnfft_finalize(), nnfft_precompute_full_psi(), nnfft_precompute_phi_hut(), nnfft_precompute_psi(), nnfft_trafo(), and reconstruct().

## v

double* nnfft_plan::v

nodes (in fourier domain)

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), nnfft_precompute_psi(), and reconstruct().

## c_phi_inv

double* nnfft_plan::c_phi_inv

precomputed data, matrix D

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), and nnfft_precompute_phi_hut().

## psi

double* nnfft_plan::psi

precomputed data, matrix B

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), nnfft_precompute_full_psi(), nnfft_precompute_lin_psi(), and nnfft_precompute_psi().

## size_psi

int nnfft_plan::size_psi

only for thin B

Definition at line 419 of file nfft3.h.

## psi_index_g

int* nnfft_plan::psi_index_g

only for thin B

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), and nnfft_precompute_full_psi().

## psi_index_f

int* nnfft_plan::psi_index_f

only for thin B

Definition at line 419 of file nfft3.h.

Referenced by nnfft_finalize(), and nnfft_precompute_full_psi().

## F

fftw_complex* nnfft_plan::F

Definition at line 419 of file nfft3.h.

## spline_coeffs

double* nnfft_plan::spline_coeffs

input for de Boor algorithm, if B_SPLINE or SINC_2m is defined

Definition at line 419 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h